Bug 1287056 (CVE-2015-8366) - CVE-2015-8366 LibRaw: Index overflow in smal_decode_segment
Summary: CVE-2015-8366 LibRaw: Index overflow in smal_decode_segment
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2015-8366
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1287057
Blocks: 1287081
TreeView+ depends on / blocked
 
Reported: 2015-12-01 12:04 UTC by Adam Mariš
Modified: 2019-09-29 13:40 UTC (History)
14 users (show)

Fixed In Version: LibRaw 0.17.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-27 12:55:58 UTC


Attachments (Terms of Use)

Description Adam Mariš 2015-12-01 12:04:21 UTC
It was found that smal_decode_segment function do not handle index carefully, which may cause index overflow.

Upstream patch:

https://github.com/LibRaw/LibRaw/commit/89d065424f09b788f443734d44857289489ca9e2

Comment 1 Adam Mariš 2015-12-01 12:04:37 UTC
Created LibRaw tracking bugs for this issue:

Affects: fedora-all [bug 1287057]

Comment 2 Adam Mariš 2015-12-01 13:17:40 UTC
Public via:

http://seclists.org/fulldisclosure/2015/Nov/108


Note You need to log in before you can comment on or make changes to this bug.